Update a knowledge document
curl --request PUT \
--url https://core-api.getaptly.com/api/knowledge/{id} \
--header 'Content-Type: application/json' \
--header 'x-token: <api-key>' \
--data '
{
"name": "Updated Lease Addendum Policy",
"html": "<p>Revised policy effective March 2026...</p>"
}
'import requests
url = "https://core-api.getaptly.com/api/knowledge/{id}"
payload = {
"name": "Updated Lease Addendum Policy",
"html": "<p>Revised policy effective March 2026...</p>"
}
headers = {
"x-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Lease Addendum Policy',
html: '<p>Revised policy effective March 2026...</p>'
})
};
fetch('https://core-api.getaptly.com/api/knowledge/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Knowledge
Update a knowledge document
Updates a knowledge document’s content and/or metadata. Only fields provided in the
request body are updated — omitted fields are left unchanged. Provide either html
or markdown, not both.
PUT
/
api
/
knowledge
/
{id}
Update a knowledge document
Authorizations
ApiKeyHeaderDelegateTokenPartnerBearer
Path Parameters
The knowledge document ID.
Body
application/json
Response
Document updated.
⌘I